<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Firma electrónica</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-6 mx-auto my-3">
                <h5 class="my-3 text-center">PIN</h5>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12" style="text-align: justify;">
                <p class="my-3">
                    Al presionar el botón <strong>enviar</strong> recibirá en el correo registrado un mensaje con un número que será equivalente a su firma electrónica.
                </p>
            </div>
        </div>
        
        <div>
            <small class=" form-text text-muted" id="errorGeneral" *ngIf="showError">Ocurrió un error, inténtelo de nuevo</small> 
        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="sendPIN()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Enviar</button>
        </p>     
        
        <p class="my-3">
        <button id="btnCancelar" type="button" (click)="cancelar()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">Cancelar</button>
        </p>
    </div>
</div>